Airwallex logo

Digital Wallet Tokens

Copy for LLMView as Markdown

Query and manage digital wallet tokens

Endpoints
GET /api/v1/issuing/digital_wallet_tokens/{id}
GET /api/v1/issuing/digital_wallet_tokens
POST /api/v1/issuing/digital_wallet_tokens/{id}/lifecycle

Get single digital wallet token

GET /api/v1/issuing/digital_wallet_tokens/{id}

Retrieve single digital wallet token

Parameters
idrequiredstring

Unique Identifier for digital wallet token

Response body - 200 OK
card_idstring

Unique identifier for card associated with the token

cardholder_idstring

Unique identifier for cardholder associated with the token

create_timestring

The time this token was created

device_informationobject

Additional information related to the device associated with the token

device_information.device_idstring

The identifier for the device associated with the token

device_information.device_typestring

Type of device associated with the token
One of MOBILE_PHONE, TABLET, WATCH, MOBILEPHONE_OR_TABLET, PC

MOBILE_PHONE, TABLET, WATCH, MOBILEPHONE_OR_TABLET, PC, UNKNOWN

expiry_monthinteger

Token expiry month

expiry_yearinteger

Token expiry year

masked_card_numberstring

Masked card number

pan_reference_idstring

Unique identifier for the tokenization of this card. Used by mobile SDKs to determine whether this card has already been provisioned to the device.

risk_informationobject

General risk information about the token

risk_information.wallet_provider_account_scorestring

Indicates the wallet providers confidence in the account between 1 to 5, where 5 indicates the most confidence in the account

risk_information.wallet_provider_device_scorestring

Indicates the wallet providers confidence in the device between 1 to 5, where 5 indicates the most confidence in the device

token_idstring

Unique Identifier for token

token_reference_idstring

Unique identifier of the digital wallet token within the card network

token_statusstring

Status of the token
One of ACTIVE, INACTIVE, SUSPENDED, DEACTIVATED

ACTIVE, INACTIVE, SUSPENDED, DEACTIVATED, UNKNOWN

token_typestring

The type of this token
One of SECURE_ELEMENT, HCE, CARD_ON_FILE, ECOMMERCE, QRC

SECURE_ELEMENT, HCE, CARD_ON_FILE, ECOMMERCE, QRC, UNKNOWN

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/issuing/digital_wallet_tokens/{id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/digital_wallet_tokens/digital_wallet_token_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "card_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6ea",
3 "cardholder_id": "7f0216e7-0348-4a36-9871-d1ba82c13410",
4 "create_time": "2018-03-22T16:08:02+00:00",
5 "device_information": {
6 "device_id": "dSWbu2jPr9uRNe5UQolbeOxz",
7 "device_type": "MOBILE_PHONE"
8 },
9 "expiry_month": 1,
10 "expiry_year": 2022,
11 "masked_card_number": "************4242",
12 "pan_reference_id": "V-5822325012766949099915",
13 "risk_information": {
14 "wallet_provider_account_score": "5",
15 "wallet_provider_device_score": "5"
16 },
17 "token_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
18 "token_reference_id": "DNITHE301616178439057312",
19 "token_status": "ACTIVE",
20 "token_type": "CARD_ON_FILE"
21}
Was this section helpful?

Get all digital wallet tokens

GET /api/v1/issuing/digital_wallet_tokens

Get digital wallet tokens created under an account. Will default to a 30 day period unless both to and from created_at request fields are populated.

Parameters
card_idstring

Id of the card associated with the token

cardholder_idstring

Id of the cardholder associated with the token

from_created_atstring

Include tokens created after from_created_at (inclusive) in ISO8601 format

from_token_expires_onstring

Include tokens that expire after from_token_expires_on (inclusive) in format MMyy

page_numinteger

Page number, starts from 0

page_sizeinteger

Number of results per page

to_created_atstring

Include tokens created before to_created_at (inclusive) in ISO8601 format

to_token_expires_onstring

Include tokens that expire before to_token_expires_on (inclusive) in format MMyy

token_reference_idstring

Unique identifier of the digital wallet token within the card network

token_statusesstring

Token statuses
One or more of ACTIVE, INACTIVE, SUSPENDED, DEACTIVATED

token_typesstring

Token types
One or more of SECURE_ELEMENT, HCE, CARD_ON_FILE, ECOMMERCE, QRC

Response body - 200 OK
has_moreboolean
itemsarray
items.card_idstring

Unique identifier for card associated with the token

items.cardholder_idstring

Unique identifier for cardholder associated with the token

items.create_timestring

The time this token was created

items.device_informationobject

Additional information related to the device associated with the token

items.device_information.device_idstring

The identifier for the device associated with the token

items.device_information.device_typestring

Type of device associated with the token
One of MOBILE_PHONE, TABLET, WATCH, MOBILEPHONE_OR_TABLET, PC

MOBILE_PHONE, TABLET, WATCH, MOBILEPHONE_OR_TABLET, PC, UNKNOWN

items.expiry_monthinteger

Token expiry month

items.expiry_yearinteger

Token expiry year

items.masked_card_numberstring

Masked card number

items.pan_reference_idstring

Unique identifier for the tokenization of this card. Used by mobile SDKs to determine whether this card has already been provisioned to the device.

items.risk_informationobject

General risk information about the token

items.risk_information.wallet_provider_account_scorestring

Indicates the wallet providers confidence in the account between 1 to 5, where 5 indicates the most confidence in the account

items.risk_information.wallet_provider_device_scorestring

Indicates the wallet providers confidence in the device between 1 to 5, where 5 indicates the most confidence in the device

items.token_idstring

Unique Identifier for token

items.token_reference_idstring

Unique identifier of the digital wallet token within the card network

items.token_statusstring

Status of the token
One of ACTIVE, INACTIVE, SUSPENDED, DEACTIVATED

ACTIVE, INACTIVE, SUSPENDED, DEACTIVATED, UNKNOWN

items.token_typestring

The type of this token
One of SECURE_ELEMENT, HCE, CARD_ON_FILE, ECOMMERCE, QRC

SECURE_ELEMENT, HCE, CARD_ON_FILE, ECOMMERCE, QRC, UNKNOWN

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/issuing/digital_wallet_tokens
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/digital_wallet_tokens' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": false,
3 "items": [
4 {
5 "card_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6ea",
6 "cardholder_id": "7f0216e7-0348-4a36-9871-d1ba82c13410",
7 "create_time": "2018-03-22T16:08:02+00:00",
8 "device_information": {
9 "device_id": "dSWbu2jPr9uRNe5UQolbeOxz",
10 "device_type": "MOBILE_PHONE"
11 },
12 "expiry_month": 1,
13 "expiry_year": 2022,
14 "masked_card_number": "************4242",
15 "pan_reference_id": "V-5822325012766949099915",
16 "risk_information": {
17 "wallet_provider_account_score": "5",
18 "wallet_provider_device_score": "5"
19 },
20 "token_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
21 "token_reference_id": "DNITHE301616178439057312",
22 "token_status": "ACTIVE",
23 "token_type": "CARD_ON_FILE"
24 }
25 ]
26}
Was this section helpful?

Update digital wallet token status

POST /api/v1/issuing/digital_wallet_tokens/{id}/lifecycle

Only available to platforms running their own white-labelled card program. Changes a digital wallet token's status - suspend, resume, delete, or activate via call centre verification (see operation_type below). Applied asynchronously: Airwallex accepts the request immediately, then confirms the status change with the card network. Airwallex performs cardholder ID&V for call centre verification, before applying the change.

Parameters
idrequiredstring

The unique identifier of the digital wallet token.

Request body
operation_typerequiredstring

The operation to perform on the token. One of:

  • SUSPEND: temporarily block the token. Its status becomes SUSPENDED and the token cannot be used until it is resumed.
  • RESUME: reactivate a suspended token. Its status returns to ACTIVE.
  • DELETE: permanently deactivate the token. Its status becomes DEACTIVATED. This cannot be undone, and the card must be provisioned again to create a new token.
  • CALL_CENTER_ACTIVATION: activate a token after the cardholder's identity has been verified by the Airwallex call center. Its status becomes ACTIVE. This operation requires activation_code.
activation_codestring

Required when operation_type is CALL_CENTER_ACTIVATION and ignored for all other operations. A reference of up to 8 characters, captured when the cardholder's identity is verified by the Airwallex call center, that serves as a record that the activation was approved through that process. It is not validated and does not affect the outcome of the request.

operation_reasonstring

Optional free-text reason for the operation, recorded for audit purposes. For example, 'Suspended due to lost device'.

Response body - 202 Accepted
No response body
Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/issuing/digital_wallet_tokens/{id}/lifecycle
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/digital_wallet_tokens/digital_wallet_token_id/lifecycle' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "activation_code": "<string>",
> "operation_reason": "<string>",
> "operation_type": "DELETE"
>}'
Was this section helpful?